package org.example.web;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;

public class OrderingFilter implements Filter {
	private String _name;

	public void init(FilterConfig config) {
		_name = config.getFilterName();
	}

	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
		System.out.println("start doFilter() " + _name);

		chain.doFilter(request, response);

		System.out.println("end doFilter() " + _name);
	}

	public void destroy() {
		System.out.println("destory() " + _name);
	}
}